---
title: "Searches Suppliers by parameters"
url: "https://developer.retailexpress.com.au/apis/retail-express-api-21-v2/versions/d3750347-3c58-45e9-b3b1-b23a00e713ed/operations/get-suppliers"
---

> Full API specification: https://developer.retailexpress.com.au/apis/retail-express-api-21-v2/versions/d3750347-3c58-45e9-b3b1-b23a00e713ed.md

# Searches Suppliers by parameters

`GET` `/suppliers`

Operation ID: `get-suppliers`

Searches Suppliers by parameters

## Query parameters

- `admin_only_orders` (boolean, optional) - Admin only orders flag
- `id` (integer, int32, optional) - Format - int32. Supplier Id. Other properties are skipped, if used
- `modified_since` (string, date-time, optional) - Format - date-time (as date-time in RFC3339). Modified since
- `select` (string, optional) - Select fields. Available field name values: id, supplier_code, name Example: id
- `page_number` (integer, int32, optional) - Format - int32.
- `page_size` (integer, int32, optional) - Format - int32.

## Header parameters

- `x-api-key` (string, required) - Api subscription key
- `Cache-Control` (string, optional)
- `Authorization` (string, required) - Bearer token for authorization (e.g., Bearer <token>)

## Responses

- `200` - Paging Response with Suppliers data
- `400` - Bad request
- `401` - Unauthorized
- `403` - Forbidden

## OpenAPI definition

```yaml
openapi: 3.0.1
info:
  title: Retail Express API
  version: V2
servers:
  - url: https://api.retailexpress.com.au/v2
paths:
  /suppliers:
    get:
      tags:
        - suppliers
      summary: Searches Suppliers by parameters
      description: Searches Suppliers by parameters
      operationId: get-suppliers
      parameters:
        - name: admin_only_orders
          in: query
          description: Admin only orders flag
          schema:
            type: boolean
            description: Admin only orders flag
            nullable: true
        - name: id
          in: query
          description: Format - int32. Supplier Id. Other properties are skipped, if used
          schema:
            type: integer
            description: Supplier Id. Other properties are skipped, if used
            format: int32
            nullable: true
        - name: modified_since
          in: query
          description: Format - date-time (as date-time in RFC3339). Modified since
          schema:
            type: string
            description: Modified since
            format: date-time
            nullable: true
        - name: select
          in: query
          description: "Select fields.\r

            \r

            Available field name values: id, supplier_code, name\r

            \r

            Example: id"
          schema:
            type: string
            description: "Select fields.\r

              \r

              Available field name values: id, supplier_code, name\r

              \r

              Example: id"
            nullable: true
        - name: page_number
          in: query
          description: Format - int32.
          schema:
            maximum: 100000
            minimum: 1
            type: integer
            format: int32
        - name: page_size
          in: query
          description: Format - int32.
          schema:
            maximum: 2147483647
            minimum: 1
            type: integer
            format: int32
        - name: x-api-key
          in: header
          description: Api subscription key
          required: true
          schema:
            type: string
        - name: Cache-Control
          in: header
          required: false
          schema:
            type: string
            default: no-cache
        - name: Authorization
          in: header
          required: true
          description: Bearer token for authorization (e.g., Bearer <token>)
          schema:
            type: string
      responses:
        "200":
          description: Paging Response with Suppliers data
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/Supplier.PagingResponse"
              example:
                data:
                  - id: 0
                    supplier_code: string
                    name: string
                    address:
                      address_line1: string
                      suburb: string
                      state: string
                      postcode: string
                      country:
                        id: 0
                        name: string
                    phone: string
                    fax: string
                    contact_name: string
                    contact_email: string
                    order_email: string
                    admin_only_orders: false
                    deposit_required: false
                    shipping_port:
                      id: 0
                      name: string
                    country_of_origin:
                      id: 0
                      name: string
                    shipping_terms: string
                    payment_terms: string
                    comments: string
                    purchase_order_template: string
                    modified_on: string
                page_number: 0
                page_size: 0
                total_records: 0
        "400":
          description: Bad request
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
        "401":
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
        "403":
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
security: []
components:
  schemas:
    Supplier.PagingResponse:
      title: ""
      type: object
      properties:
        data:
          type: array
          items:
            $ref: "#/components/schemas/Supplier"
          nullable: true
        page_number:
          type: integer
          format: int32
        page_size:
          type: integer
          format: int32
        total_records:
          type: integer
          format: int32
      additionalProperties: false
    ProblemDetails:
      title: ""
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
    Supplier:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Supplier Id
          format: int32
          nullable: true
        supplier_code:
          maxLength: 20
          minLength: 0
          type: string
          description: Supplier Code
          nullable: true
        name:
          maxLength: 50
          minLength: 0
          type: string
          description: Supplier Name
          nullable: true
        address:
          $ref: "#/components/schemas/SupplierReturnAddress"
        phone:
          maxLength: 20
          minLength: 0
          type: string
          description: Supplier Phone Number
          nullable: true
        fax:
          maxLength: 20
          minLength: 0
          type: string
          description: Supplier Fax Number
          nullable: true
        contact_name:
          maxLength: 50
          minLength: 0
          type: string
          description: Supplier Contact Name
          nullable: true
        contact_email:
          maxLength: 120
          minLength: 0
          type: string
          description: Supplier Contact Email
          format: email
          nullable: true
        order_email:
          maxLength: 120
          minLength: 0
          type: string
          description: Supplier Order Email
          format: email
          nullable: true
        admin_only_orders:
          type: boolean
          description: Admin Only Orders Flag
          default: false
        deposit_required:
          type: boolean
          description: Deposit Required Flag
          default: false
        shipping_port:
          $ref: "#/components/schemas/SupplierShippingPort"
        country_of_origin:
          $ref: "#/components/schemas/SupplierAddressCountry"
        shipping_terms:
          maxLength: 50
          minLength: 0
          type: string
          description: Supplier Shipping Terms
          nullable: true
        payment_terms:
          maxLength: 50
          minLength: 0
          type: string
          description: Supplier Payment Terms
          nullable: true
        comments:
          maxLength: 255
          minLength: 0
          pattern: ^[^*|":<>[\]{}`\()';@&$#!-/?]+$
          type: string
          description: Supplier Comments
          nullable: true
        purchase_order_template:
          type: string
          description: Supplier Purchase Order Template type
          nullable: true
        modified_on:
          type: string
          description: Modified On
          format: date-time
      additionalProperties: false
      description: Supplier model
    SupplierReturnAddress:
      title: ""
      type: object
      properties:
        address_line1:
          maxLength: 255
          minLength: 0
          type: string
          description: Address line 1
          nullable: true
        suburb:
          maxLength: 50
          minLength: 0
          type: string
          description: Suburb
          nullable: true
        state:
          maxLength: 50
          minLength: 0
          type: string
          description: State
          nullable: true
        postcode:
          maxLength: 10
          minLength: 0
          type: string
          description: Post code
          nullable: true
        country:
          $ref: "#/components/schemas/SupplierAddressCountry"
      additionalProperties: false
      description: Supplier address model
    SupplierShippingPort:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Supplier shipping port id
          format: int32
        name:
          maxLength: 100
          minLength: 0
          type: string
          description: Supplier shipping port name
          nullable: true
      additionalProperties: false
    SupplierAddressCountry:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Supplier country id
          format: int32
          nullable: true
        name:
          type: string
          description: Supplier country name
          nullable: true
      additionalProperties: false
```
